# frozen_string_literal: true


module PostCompactRepr
  module_function

  def base post, host: nil
    return nil if post.nil?

    PostRepr
        .common(post, host:)
        .slice(
            'id',
            'title',
            'url',
            'thumbnail',
            'thumbnail_base')
  end
end
